<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2024-09-29 16:16:50
////////////////////


/**
 * Static Model item 道具表
 */
class sm_item
{

    /**
    * @var Int32 查询用的ID  
    */
    public $typeId;

    /**
    * @var String 物品名称 default(物品名称) 
    */
    public $name;

    /**
    * @var String 物品icon名  
    */
    public $icon;

    /**
    * @var String 物品描述 default(物品描述) 
    */
    public $desc;

    /**
    * @var Int32 物品归类:1.金币
    *  2.元宝
    *  3.体力
    *  4.经验
    *  5.活跃点数
    *  100.图纸
    *  103.钥匙道具
    *  201.技能宝石
    *  301.洗练石
    *  401.启灵石
    *  501.角色碎片
    *  502.角色卡
    *  701. 随机礼盒 default(0) 
    */
    public $itemType;

    /**
    * @var Int32 道具可叠加展示的数量上限, 0 代表不可叠加 default(0) 
    */
    public $pileNum;

    /**
    * @var Int32 品质/稀有度 1白2绿3蓝 default(1) 
    */
    public $quality;

}

